> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Managed Auth Connection Diagnostics Get



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /managed-auth/connections/{connection_id}/diagnostics
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/connections/{connection_id}/diagnostics:
    get:
      tags:
        - managed-auth
      summary: Managed Auth Connection Diagnostics Get
      operationId: managed_auth_connection_diagnostics_get
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            title: Connection Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAuthDiagnostics'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ManagedAuthDiagnostics:
      properties:
        connection_id:
          type: string
          title: Connection Id
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        last_checked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Checked At
        functions:
          items:
            $ref: '#/components/schemas/ManagedAuthRuntimeFunctionDiagnostic'
          type: array
          title: Functions
      type: object
      required:
        - connection_id
      title: ManagedAuthDiagnostics
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagedAuthRuntimeFunctionDiagnostic:
      properties:
        role:
          type: string
          enum:
            - login
            - verifier
            - refresh
          title: Role
        function_id:
          type: string
          title: Function Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        latest_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Version
        latest_run:
          anyOf:
            - $ref: '#/components/schemas/ManagedAuthFunctionRunDiagnostic'
            - type: 'null'
      type: object
      required:
        - role
        - function_id
      title: ManagedAuthRuntimeFunctionDiagnostic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ManagedAuthFunctionRunDiagnostic:
      properties:
        function_run_id:
          type: string
          title: Function Run Id
        status:
          type: string
          title: Status
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - function_run_id
        - status
        - created_at
        - updated_at
      title: ManagedAuthFunctionRunDiagnostic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````